
QGIS Application - Bug report #2408

Identifiable layers not saved correctly if sorted before choosing

2010-02-02 04:04 PM - sowelu -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12468

Description

If you sort the layers by type before or after checking the ones you want to be identifiable, then the results are not read correctly when the

dialog is dismissed with OK.

1) Load some raster layers

2) Load some vector layers

3) Settings->Project Properties->Identifiable layers

4) Click Type heading to sort.

5) Check all vectors, uncheck all rasters

6) OK

7) Go back into Settings->Project Properties->Identifiable layers and see that they have changed.

Associated revisions

Revision b74ca9df - 2010-02-06 09:47 PM - Jürgen Fischer

fix #2408

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@12891 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 4be3de4b - 2010-02-06 09:47 PM - Jürgen Fischer

fix #2408

git-svn-id: http://svn.osgeo.org/qgis/trunk@12891 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-02-06 12:48 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:4be3de4b (SVN r12892).
